Bug 1241017 - Ability to view all port and ip address assigned to overcloud hosts
Summary: Ability to view all port and ip address assigned to overcloud hosts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 14.0 (Rocky)
Assignee: Harald Jensås
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks: 1241148
TreeView+ depends on / blocked
 
Reported: 2015-07-08 10:12 UTC by Ofer Blaut
Modified: 2019-01-11 11:48 UTC (History)
13 users (show)

Fixed In Version: openstack-tripleo-heat-templates-9.0.0-0.20180726103746.5fefd0b.el7ost
Doc Type: Enhancement
Doc Text:
This update adds hostname and network name to the output of the 'openstack port list' command. The additional information makes it easier to associate Neutron port and IP addresses with a particular host.
Clone Of:
Environment:
Last Closed: 2019-01-11 11:47:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 580776 'None' 'MERGED' 'Give neutron ports names: $HOSTNAME_$NETWORKNAME' 2019-11-21 12:46:00 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:48:10 UTC

Description Ofer Blaut 2015-07-08 10:12:57 UTC
Description of problem:

There are different subnets and ip address assign to the overcloud hosts

There is no one place i can see which ip address/subnets/vlans are assigned  per hosts and what are the routes after deployment 

If we can add it to nova show/openstack BM show  it will be great 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. After overcloud deployment see if you can get info of ip address/vlans/routes/interfaces assigned per overcloud host 
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Mike Burns 2016-04-07 20:43:53 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 4 Dmitry Tantsur 2016-11-25 13:42:48 UTC
Isn't it possible to use "neutron port-show" for that?

Comment 5 Ofer Blaut 2016-11-27 07:23:34 UTC
Hi

Check the following example on ip " 172.17.2.19" listed in neutron port-list.

We can't tell to which machine it belongs, even using port-show.
We only know the network usage.

Vips are being described in port-list

( tested on rhos10 latest puddle )
 


[stack@undercloud-0 ~]$ nova list
+--------------------------------------+--------------+--------+------------+-------------+---------------------+
| ID                                   | Name         | Status | Task State | Power State | Networks            |
+--------------------------------------+--------------+--------+------------+-------------+---------------------+
| 570d1bb2-3e6d-4d14-b145-2969cbd87802 | compute-0    | ACTIVE | -          | Running     | ctlplane=192.0.2.10 |
| e40ceb2e-0a5c-497d-8970-e5792f8813ea | controller-0 | ACTIVE | -          | Running     | ctlplane=192.0.2.9  |
+--------------------------------------+--------------+--------+------------+-------------+---------------------+
[stack@undercloud-0 ~]$ ssh heat-admin@192.0.2.9
Last login: Sun Nov 27 07:17:14 2016 from 192.0.2.1
[heat-admin@controller-0 ~]$ ifconfig
br-ex: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 10.0.0.102  netmask 255.255.255.0  broadcast 10.0.0.255
        inet6 fe80::5054:ff:feec:4378  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:ec:43:78  txqueuelen 1000  (Ethernet)
        RX packets 16188  bytes 594658189 (567.1 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 11784  bytes 872696 (852.2 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

br-isolated: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet6 fe80::5054:ff:fe76:970e  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:76:97:0e  txqueuelen 1000  (Ethernet)
        RX packets 148  bytes 9342 (9.1 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 8  bytes 648 (648.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.0.2.9  netmask 255.255.255.0  broadcast 192.0.2.255
        inet6 fe80::5054:ff:fed4:de9f  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:d4:de:9f  txqueuelen 1000  (Ethernet)
        RX packets 610599  bytes 1440130890 (1.3 GiB)
        RX errors 0  dropped 585  overruns 0  frame 0
        TX packets 482925  bytes 95729011 (91.2 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

eth1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet6 fe80::5054:ff:fe76:970e  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:76:97:0e  txqueuelen 1000  (Ethernet)
        RX packets 2351396  bytes 372449319 (355.1 MiB)
        RX errors 0  dropped 8  overruns 0  frame 0
        TX packets 2092582  bytes 231517409 (220.7 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

eth2: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet6 fe80::5054:ff:feec:4378  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:ec:43:78  txqueuelen 1000  (Ethernet)
        RX packets 175742  bytes 603184650 (575.2 MiB)
        RX errors 0  dropped 6  overruns 0  frame 0
        TX packets 11793  bytes 874598 (854.0 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1  (Local Loopback)
        RX packets 137807246  bytes 21903047012 (20.3 GiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 137807246  bytes 21903047012 (20.3 GiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

vlan20: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 172.17.1.18  netmask 255.255.255.0  broadcast 172.17.1.255
        inet6 fe80::6c3f:32ff:feda:ad92  prefixlen 64  scopeid 0x20<link>
        ether 6e:3f:32:da:ad:92  txqueuelen 1000  (Ethernet)
        RX packets 2191744  bytes 324688895 (309.6 MiB)
        RX errors 0  dropped 1  overruns 0  frame 0
        TX packets 2092457  bytes 223137339 (212.8 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

vlan30: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 172.17.3.12  netmask 255.255.255.0  broadcast 172.17.3.255
        inet6 fe80::8c4:68ff:fe69:8656  prefixlen 64  scopeid 0x20<link>
        ether 0a:c4:68:69:86:56  txqueuelen 1000  (Ethernet)
        RX packets 3  bytes 140 (140.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 24  bytes 1376 (1.3 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

vlan40: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 172.17.4.18  netmask 255.255.255.0  broadcast 172.17.4.255
        inet6 fe80::1058:66ff:fef9:ef8d  prefixlen 64  scopeid 0x20<link>
        ether 12:58:66:f9:ef:8d  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 21  bytes 1194 (1.1 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

vlan50: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 172.17.2.19  netmask 255.255.255.0  broadcast 172.17.2.255
        inet6 fe80::6cee:19ff:fe20:5708  prefixlen 64  scopeid 0x20<link>
        ether 6e:ee:19:20:57:08  txqueuelen 1000  (Ethernet)
        RX packets 12  bytes 496 (496.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 26  bytes 1988 (1.9 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

vxlan_sys_4789: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 65470
        ether 5a:27:66:2b:21:9f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 6  bytes 396 (396.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

[heat-admin@controller-0 ~]$ exit
logout
Connection to 192.0.2.9 closed.
[stack@undercloud-0 ~]$ neutron port-list | grep 172.17.2.19
| 0b18a0d4-be2c-467f-8a8c-3253a16a98c5 |                               | fa:16:3e:c9:8e:49 | {"subnet_id": "f17d2982-db9d-4923-9039-21d28abc9770", "ip_address": "172.17.2.19"} |
[stack@undercloud-0 ~]$ neutron port-show 0b18a0d4-be2c-467f-8a8c-3253a16a98c5
+-----------------------+------------------------------------------------------------------------------------+
| Field                 | Value                                                                              |
+-----------------------+------------------------------------------------------------------------------------+
| admin_state_up        | True                                                                               |
| allowed_address_pairs |                                                                                    |
| binding:host_id       |                                                                                    |
| binding:profile       | {}                                                                                 |
| binding:vif_details   | {}                                                                                 |
| binding:vif_type      | unbound                                                                            |
| binding:vnic_type     | normal                                                                             |
| created_at            | 2016-11-23T14:41:28Z                                                               |
| description           |                                                                                    |
| device_id             |                                                                                    |
| device_owner          |                                                                                    |
| extra_dhcp_opts       |                                                                                    |
| fixed_ips             | {"subnet_id": "f17d2982-db9d-4923-9039-21d28abc9770", "ip_address": "172.17.2.19"} |
| id                    | 0b18a0d4-be2c-467f-8a8c-3253a16a98c5                                               |
| mac_address           | fa:16:3e:c9:8e:49                                                                  |
| name                  |                                                                                    |
| network_id            | 15cf03c5-2995-4530-ab7d-126eb3aeaa11                                               |
| project_id            | 5d8bf130f24a40e7b309bc56661baea3                                                   |
| revision_number       | 4                                                                                  |
| security_groups       | 80d07b93-e1a7-435d-81fa-20dd4bcbc54d                                               |
| status                | DOWN                                                                               |
| tenant_id             | 5d8bf130f24a40e7b309bc56661baea3                                                   |
| updated_at            | 2016-11-23T14:41:28Z                                                               |
+-----------------------+------------------------------------------------------------------------------------+
[stack@undercloud-0 ~]$ neutron port-list
+--------------------------------------+-------------------------------+-------------------+------------------------------------------------------------------------------------+
| id                                   | name                          | mac_address       | fixed_ips                                                                          |
+--------------------------------------+-------------------------------+-------------------+------------------------------------------------------------------------------------+
| 0b18a0d4-be2c-467f-8a8c-3253a16a98c5 |                               | fa:16:3e:c9:8e:49 | {"subnet_id": "f17d2982-db9d-4923-9039-21d28abc9770", "ip_address": "172.17.2.19"} |
| 0f745304-c938-4de0-a1a5-0fdb4dd2bde2 |                               | fa:16:3e:ca:f5:28 | {"subnet_id": "c2205c9d-ebd0-4383-8014-469f34ef56f0", "ip_address": "172.17.3.12"} |
| 1f502c7a-bb03-4c1f-b034-c16644eae15d |                               | 52:54:00:d4:de:9f | {"subnet_id": "661c5f08-785d-4ed4-98b8-b316b18a4edf", "ip_address": "192.0.2.9"}   |
| 255bcfb9-0f74-4254-9976-40b2f88ed6a1 |                               | fa:16:3e:1e:2f:cc | {"subnet_id": "1f88ae86-4df5-420c-82e5-0ac94d2c1b4d", "ip_address": "172.17.1.16"} |
| 30690a8a-a5cb-435a-b5df-46f8431a9978 |                               | fa:16:3e:bd:ab:81 | {"subnet_id": "1f88ae86-4df5-420c-82e5-0ac94d2c1b4d", "ip_address": "172.17.1.18"} |
| 3cf7928b-a021-40a2-9061-173ff9023669 |                               | fa:16:3e:a5:de:38 | {"subnet_id": "f17d2982-db9d-4923-9039-21d28abc9770", "ip_address": "172.17.2.16"} |
| 44a69f60-83d1-48af-9120-d805327c4e31 |                               | 52:54:00:25:29:89 | {"subnet_id": "661c5f08-785d-4ed4-98b8-b316b18a4edf", "ip_address": "192.0.2.10"}  |
| 53a397dc-7cb1-4776-b78b-2e29701797ed | public_virtual_ip             | fa:16:3e:70:1b:7c | {"subnet_id": "798cef59-9dbc-4f17-9f28-28bf8b5d5d96", "ip_address": "10.0.0.110"}  |
| 58344644-d41a-41e0-8d9f-4da7550a8f1d |                               | fa:16:3e:b5:ee:df | {"subnet_id": "c13871d8-c818-4632-9f4c-2cc28984fee6", "ip_address": "172.17.4.18"} |
| 61660dc5-2a23-451d-a298-95394c918832 |                               | fa:16:3e:8a:74:97 | {"subnet_id": "798cef59-9dbc-4f17-9f28-28bf8b5d5d96", "ip_address": "10.0.0.102"}  |
| 634c7a6d-c08c-4d79-9f21-e888c1518b0a | internal_api_virtual_ip       | fa:16:3e:87:02:75 | {"subnet_id": "1f88ae86-4df5-420c-82e5-0ac94d2c1b4d", "ip_address": "172.17.1.11"} |
| 7117c671-0354-42f1-898f-49a6721c8a0d | storage_virtual_ip            | fa:16:3e:74:3e:68 | {"subnet_id": "c2205c9d-ebd0-4383-8014-469f34ef56f0", "ip_address": "172.17.3.17"} |
| 7e30c139-64c0-436c-9da4-6fae67064e08 | redis_virtual_ip              | fa:16:3e:91:73:68 | {"subnet_id": "1f88ae86-4df5-420c-82e5-0ac94d2c1b4d", "ip_address": "172.17.1.10"} |
| 8a7bbd40-9208-40fa-88a5-03a2e506f715 | control_virtual_ip            | fa:16:3e:98:70:f2 | {"subnet_id": "661c5f08-785d-4ed4-98b8-b316b18a4edf", "ip_address": "192.0.2.12"}  |
| 8c6722b4-179c-4313-89b5-e6cc3b03017e |                               | fa:16:3e:2c:6b:da | {"subnet_id": "c2205c9d-ebd0-4383-8014-469f34ef56f0", "ip_address": "172.17.3.11"} |
| e046351e-d0a1-4110-a347-84c9f1d24fce | storage_management_virtual_ip | fa:16:3e:e8:a4:18 | {"subnet_id": "c13871d8-c818-4632-9f4c-2cc28984fee6", "ip_address": "172.17.4.17"} |
| f5e7cf0f-26ad-48ec-b5a3-d0f7b8b77062 |                               | fa:16:3e:9e:79:ff | {"subnet_id": "661c5f08-785d-4ed4-98b8-b316b18a4edf", "ip_address": "192.0.2.5"}   |
+--------------------------------------+-------------------------------+-------------------+------------------------------------------------------------------------------------+
[stack@undercloud-0 ~]$ 

[stack@undercloud-0 ~]$ neutron net-list
+--------------------------------------+--------------+----------------------------------------------------+
| id                                   | name         | subnets                                            |
+--------------------------------------+--------------+----------------------------------------------------+
| 09272785-9f05-4300-acda-f71f8040853f | external     | 798cef59-9dbc-4f17-9f28-28bf8b5d5d96 10.0.0.0/24   |
| 0c396273-5cb9-4329-8202-0267d378c5bf | storage      | c2205c9d-ebd0-4383-8014-469f34ef56f0 172.17.3.0/24 |
| 15cf03c5-2995-4530-ab7d-126eb3aeaa11 | tenant       | f17d2982-db9d-4923-9039-21d28abc9770 172.17.2.0/24 |
| 50ca75d9-b533-4a05-97db-e8881ba3ca61 | ctlplane     | 661c5f08-785d-4ed4-98b8-b316b18a4edf 192.0.2.0/24  |
| d121d483-756c-4b24-8f9b-998103a6f28d | internal_api | 1f88ae86-4df5-420c-82e5-0ac94d2c1b4d 172.17.1.0/24 |
| f2e6ac1b-bf63-4373-b049-b458a2005f4c | storage_mgmt | c13871d8-c818-4632-9f4c-2cc28984fee6 172.17.4.0/24 |
+--------------------------------------+--------------+----------------------------------------------------+

Comment 7 Ido Ovadia 2016-11-27 11:18:16 UTC
As Ofer, I expect the output of neutron port-list show me machine the port belongs to on name column.

Comment 8 Ofer Blaut 2016-11-27 13:17:39 UTC
Ido just showed me "openstack stack show overcloud " which have the info , but it is not user friendly , most people are looking in neutron port-list

Comment 9 Dmitry Tantsur 2016-11-28 09:25:34 UTC
Modifying generic neutron port-list command with TripleO-specific information is likely to be impossible. Do you think we can make "openstack stack show overcloud" somehow more friendly for your case?

Comment 10 Ofer Blaut 2016-11-30 10:10:06 UTC
I don't think neutron command should be changed, when ports are created by TripleO, it should update the description part .

Most users wil check neutron for port/ip information

Comment 11 Dan Sneddon 2018-07-27 19:59:31 UTC
Harald has posted https://review.openstack.org/#/c/580776/ upstream to give Neutron ports assigned by TripleO the format $HOSTNAME_$NETWORKNAME. This will make it apparent in a Neutron port list on the undercloud which IPs belong to which hosts. It should be included in OSP 14.

Also note that there is a workaround that will get this information via the openstack CLI:
openstack stack output show overcloud HostsEntry -c output_value -f value

E.G.:
[stack@undercloud ~]$ openstack stack output show overcloud HostsEntry -c output_value -f value
10.8.146.6 overcloud.ctlplane.localdomain
10.8.145.13 overcloud.localdomain
172.17.0.17 overcloud.internalapi.localdomain
172.18.0.13 overcloud.storage.localdomain
172.21.2.18 overcloud.storagemgmt.localdomain

Comment 18 Alexander Chuzhoy 2018-09-21 12:24:53 UTC
Verified:
Environment:
openstack-tripleo-heat-templates-9.0.0-0.20180831204457.17bb71e.0rc1.el7ost.noarch

The port name include the host name:

(undercloud) [stack@undercloud-0 ~]$ openstack port list
+--------------------------------------+--------------------------+-------------------+------------------------------------------------------------------------------+--------+
| ID                                   | Name                     | MAC Address       | Fixed IP Addresses                                                           | Status |
+--------------------------------------+--------------------------+-------------------+------------------------------------------------------------------------------+--------+
| 0ed5a430-ef01-489d-9056-9581df587b20 | controller-1_Tenant      | fa:16:3e:08:cc:41 | ip_address='172.17.2.14', subnet_id='33dad2ea-8037-4792-8c7d-e79de7f6f94e'   | DOWN   |
| 1cb9d65b-7c9e-4d67-a94b-cb462d252f36 | controller-1_Storage     | fa:16:3e:d7:f9:5a | ip_address='172.17.3.12', subnet_id='13fb5934-15ad-49f3-a87e-51f775ebe438'   | DOWN   |
| 31a45ad3-4462-48eb-a084-43dbe449d648 | Controller-port-0        | 52:54:00:f2:38:10 | ip_address='192.168.24.7', subnet_id='ca87651e-e9f2-4988-ba17-f78b0c45de42'  | ACTIVE |
| 31ec1892-7420-4ae9-b814-c845b9a7b603 | ceph-1_Storage           | fa:16:3e:78:c2:f8 | ip_address='172.17.3.16', subnet_id='13fb5934-15ad-49f3-a87e-51f775ebe438'   | DOWN   |
| 3d2eccce-f9da-457b-bcdd-55d670f25651 | controller-2_InternalApi | fa:16:3e:5c:54:1c | ip_address='172.17.1.11', subnet_id='0c6a3fa5-d59b-4b55-99e7-053028c65797'   | DOWN   |
| 3e5af568-1b83-4d62-91cf-c5676d482447 | controller-2_Storage     | fa:16:3e:10:c3:0a | ip_address='172.17.3.10', subnet_id='13fb5934-15ad-49f3-a87e-51f775ebe438'   | DOWN   |
| 3e6b3acb-518e-4c7d-b555-277128eaf4d7 | internal_api_virtual_ip  | fa:16:3e:dc:7e:b1 | ip_address='172.17.1.18', subnet_id='0c6a3fa5-d59b-4b55-99e7-053028c65797'   | DOWN   |
| 3f508546-fd8b-4671-80f4-7c64c460afe6 | CephStorage-port-0       | 52:54:00:fc:60:73 | ip_address='192.168.24.6', subnet_id='ca87651e-e9f2-4988-ba17-f78b0c45de42'  | ACTIVE |
| 3fe26cff-ec71-43b7-b34b-4e2a62260cb3 | compute-1_Storage        | fa:16:3e:a5:6d:73 | ip_address='172.17.3.15', subnet_id='13fb5934-15ad-49f3-a87e-51f775ebe438'   | DOWN   |
| 42d4557d-f0ec-46a0-b4ef-b91b00bd7e78 | compute-0_Tenant         | fa:16:3e:e6:b3:33 | ip_address='172.17.2.10', subnet_id='33dad2ea-8037-4792-8c7d-e79de7f6f94e'   | DOWN   |
| 4717d2ee-7c1f-43f2-85b0-6ea2cfb74264 | controller-0_InternalApi | fa:16:3e:e0:45:7b | ip_address='172.17.1.35', subnet_id='0c6a3fa5-d59b-4b55-99e7-053028c65797'   | DOWN   |
| 495987a5-4a6c-4470-809e-c749af21aa4e | controller-2_Tenant      | fa:16:3e:a0:cf:d0 | ip_address='172.17.2.11', subnet_id='33dad2ea-8037-4792-8c7d-e79de7f6f94e'   | DOWN   |
| 4ae7aeb4-fff7-4a62-9c8d-3d50fc565806 | NovaCompute-port-0       | 52:54:00:6a:f8:14 | ip_address='192.168.24.19', subnet_id='ca87651e-e9f2-4988-ba17-f78b0c45de42' | ACTIVE |
| 59f319fa-e5d1-4ba0-893d-b6870ea7fb86 | CephStorage-port-0       | 52:54:00:bd:5c:ac | ip_address='192.168.24.9', subnet_id='ca87651e-e9f2-4988-ba17-f78b0c45de42'  | ACTIVE |
| 612eaec1-c193-4e86-822b-9da92cb5eafb | ceph-0_Storage           | fa:16:3e:d0:d6:4a | ip_address='172.17.3.25', subnet_id='13fb5934-15ad-49f3-a87e-51f775ebe438'   | DOWN   |
| 64ef3610-196b-41d9-92b1-519c2de33bd8 | Controller-port-0        | 52:54:00:b1:d5:20 | ip_address='192.168.24.15', subnet_id='ca87651e-e9f2-4988-ba17-f78b0c45de42' | ACTIVE |
| 672bea77-a18d-4605-a0d2-0438ef27270f | ceph-2_Storage           | fa:16:3e:af:04:f7 | ip_address='172.17.3.11', subnet_id='13fb5934-15ad-49f3-a87e-51f775ebe438'   | DOWN   |
| 67e83b4e-6e9c-46ce-be6a-03bf9bae0bef | compute-0_Storage        | fa:16:3e:a0:ba:62 | ip_address='172.17.3.19', subnet_id='13fb5934-15ad-49f3-a87e-51f775ebe438'   | DOWN   |
| 68c31d73-24a4-4405-8916-cf3b95b996a4 | controller-0_External    | fa:16:3e:52:e3:07 | ip_address='10.0.0.103', subnet_id='6b4712c5-b029-45b9-99ce-660dc51d975b'    | DOWN   |
| 6a948ceb-5afe-46c5-94f6-494831ddc7ec | ceph-0_StorageMgmt       | fa:16:3e:52:28:32 | ip_address='172.17.4.15', subnet_id='fd4b89b7-cad7-4b6a-8839-936a74cbbf68'   | DOWN   |
| 75045a80-26aa-4804-a764-39c5ab396230 | controller-2_External    | fa:16:3e:dd:2a:65 | ip_address='10.0.0.106', subnet_id='6b4712c5-b029-45b9-99ce-660dc51d975b'    | DOWN   |
| 7a6d600f-d10d-496f-8ba9-6b7674b81eae | compute-1_InternalApi    | fa:16:3e:11:2f:0a | ip_address='172.17.1.13', subnet_id='0c6a3fa5-d59b-4b55-99e7-053028c65797'   | DOWN   |
| 82b0df91-d6c1-43d0-8dd8-cac5601b5f52 | compute-0_InternalApi    | fa:16:3e:4b:e7:a1 | ip_address='172.17.1.15', subnet_id='0c6a3fa5-d59b-4b55-99e7-053028c65797'   | DOWN   |
| 87987986-7a97-459f-b87b-57986da07edc | controller-1_InternalApi | fa:16:3e:7d:05:57 | ip_address='172.17.1.29', subnet_id='0c6a3fa5-d59b-4b55-99e7-053028c65797'   | DOWN   |
| 931ae70c-ae36-4621-bb4e-01c1fd49403a | controller-2_StorageMgmt | fa:16:3e:31:e8:d9 | ip_address='172.17.4.28', subnet_id='fd4b89b7-cad7-4b6a-8839-936a74cbbf68'   | DOWN   |
| 9ea5e155-13bc-42f6-ae33-fff61ffbc589 | compute-1_Tenant         | fa:16:3e:fc:d9:bb | ip_address='172.17.2.24', subnet_id='33dad2ea-8037-4792-8c7d-e79de7f6f94e'   | DOWN   |
| a286cddb-1872-431c-93bd-f6226e9ee22b | Controller-port-0        | 52:54:00:03:14:5a | ip_address='192.168.24.20', subnet_id='ca87651e-e9f2-4988-ba17-f78b0c45de42' | ACTIVE |
| a3841066-1bac-4288-907f-330536f62fa0 | NovaCompute-port-0       | 52:54:00:08:eb:a4 | ip_address='192.168.24.10', subnet_id='ca87651e-e9f2-4988-ba17-f78b0c45de42' | ACTIVE |
| a5f59951-2422-4674-b276-cb98b696d669 | ceph-1_StorageMgmt       | fa:16:3e:cb:33:62 | ip_address='172.17.4.10', subnet_id='fd4b89b7-cad7-4b6a-8839-936a74cbbf68'   | DOWN   |
| a673b763-467a-41c7-9bbb-89e218ceef04 | ceph-2_StorageMgmt       | fa:16:3e:c2:d0:15 | ip_address='172.17.4.24', subnet_id='fd4b89b7-cad7-4b6a-8839-936a74cbbf68'   | DOWN   |
| b5dd23f6-dae3-4a33-894b-56b46b2ba76e | controller-0_StorageMgmt | fa:16:3e:1d:86:ab | ip_address='172.17.4.27', subnet_id='fd4b89b7-cad7-4b6a-8839-936a74cbbf68'   | DOWN   |
| b605ceca-5ea8-4a71-b291-bf3e7afac153 | control_virtual_ip       | fa:16:3e:1d:21:a4 | ip_address='192.168.24.12', subnet_id='ca87651e-e9f2-4988-ba17-f78b0c45de42' | DOWN   |
| b6ab4b8a-77b4-4b71-b4d5-e454dba9b833 |                          | fa:16:3e:19:6a:8a | ip_address='192.168.24.5', subnet_id='ca87651e-e9f2-4988-ba17-f78b0c45de42'  | ACTIVE |
| bf91bb21-eaec-426c-a674-6dd367d66e71 | controller-0_Tenant      | fa:16:3e:eb:87:c5 | ip_address='172.17.2.12', subnet_id='33dad2ea-8037-4792-8c7d-e79de7f6f94e'   | DOWN   |
| d5027797-9725-46e8-b705-99c3df44c447 | CephStorage-port-0       | 52:54:00:fe:21:fb | ip_address='192.168.24.14', subnet_id='ca87651e-e9f2-4988-ba17-f78b0c45de42' | ACTIVE |
| de604f11-306a-4b81-8f17-96d65abc918b | storage_virtual_ip       | fa:16:3e:0b:0b:1a | ip_address='172.17.3.20', subnet_id='13fb5934-15ad-49f3-a87e-51f775ebe438'   | DOWN   |
| e5e52a28-5061-4a0a-89ac-2a3c5b2bb586 | controller-1_StorageMgmt | fa:16:3e:8c:00:a7 | ip_address='172.17.4.11', subnet_id='fd4b89b7-cad7-4b6a-8839-936a74cbbf68'   | DOWN   |
| ec74167d-0a1d-4faf-91ba-8cc0e33482cc | public_virtual_ip        | fa:16:3e:c1:54:cf | ip_address='10.0.0.101', subnet_id='6b4712c5-b029-45b9-99ce-660dc51d975b'    | DOWN   |
| ee15bd63-747b-48c9-9f36-9036df265d45 | storage_mgmt_virtual_ip  | fa:16:3e:c4:e0:bc | ip_address='172.17.4.20', subnet_id='fd4b89b7-cad7-4b6a-8839-936a74cbbf68'   | DOWN   |
| ef4e0342-c2dd-49d1-bf29-2ea6b3b43594 | controller-1_External    | fa:16:3e:d3:45:27 | ip_address='10.0.0.102', subnet_id='6b4712c5-b029-45b9-99ce-660dc51d975b'    | DOWN   |
| efd83a49-1946-4950-aa25-d62a24b28438 | redis_virtual_ip         | fa:16:3e:e5:90:b3 | ip_address='172.17.1.14', subnet_id='0c6a3fa5-d59b-4b55-99e7-053028c65797'   | DOWN   |
| f1f84ced-7dd4-412f-8496-45f2b7a473ba | controller-0_Storage     | fa:16:3e:d4:03:79 | ip_address='172.17.3.17', subnet_id='13fb5934-15ad-49f3-a87e-51f775ebe438'   | DOWN   |

Comment 20 errata-xmlrpc 2019-01-11 11:47:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.